This week, Adobe announced the release of a huge set of security patches to address more than 90 vulnerabilities whose exploitation could put users of Windows, Linux and macOS systems at risk. The flaws were found in all sorts of the company’s products, including the popular design tools Photoshop, InDesign, Illustrator and Adobe Premiere.

In addition to announcing the release of the security patches, the software giant issued alerts about the most severe flaws in its products. According to these reports, critical flaws are distributed as follows:

  • 11 vulnerabilities in Adobe After Effects
  • 10 vulnerabilities in Adobe Animate
  • 9 vulnerabilities in Adobe Audition
  • 9 vulnerabilities in Adobe Bridge
  • 9 vulnerabilities in Adobe Prelude
  • 8 vulnerabilities in Adobe Character Animation
  • 7 vulnerabilities in Adobe Premiere Elements
  • 6 vulnerabilities in Adobe Media Encoder
  • 6 vulnerabilities in Adobe Premiere Pro
  • 5 vulnerabilities in Adobe Illustrator
  • 3 vulnerabilities in Adobe InDesign
  • 3 vulnerabilities in Adobe Photoshop
  • 1 vulnerability in Adobe Lightroom Classic

Apparently, most of these flaws were described as critical errors of arbitrary code execution, while five memory leak flaws were also considered of high severity. It should be remembered that issues that receive a high severity rating as per the Common Vulnerability Scoring System (CVSS) are considered critical by Adobe’s security teams.

According to company figures, more than 90% of design and content creation professionals use at least one of Adobe Creative Cloud products, which accumulate almost 500 million downloads worldwide. That is why an active exploitation campaign could have an enormous scope.

The good news is that so far no evidence of active exploitation of these flaws has been detected; however, Adobe recommends users of affected implementations to apply the necessary updates as soon as possible.

To learn more about information security risks, malware variants, vulnerabilities and information technologies, feel free to access the International Institute of Cyber Security (IICS) websites.

The post TIME TO WORK FOR SYSADMINS: Adobe fixes 90 VULNERABILITIES in 19 of its products appeared first on Information Security Newspaper | Hacking News.

source

You May Also Like

Amazon Linux server can be hacked easily. Critical Privilege Escalation vulnerability in Log4j Hotpatch released to fix Log4j vulnerabilities

Amazon Linux team is advising its clients about a critical vulnerability affecting…

Secure your WordPress backups. Critical vulnerability in UpdraftPlus plugin affects millions of websites

The developers of the popular UpdraftPlus plugin announced a series of updates…

Critical vulnerability in SEOPress WordPress plugin allows hacking 100,000 WordPress websites

Cybersecurity specialists report the detection of a cross-site scripting (XSS) vulnerability in…